IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
3fff:c60::/28- First address
3fff:c60::- Last address
3fff:c6f:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
3fff:0c60:0000:0000:0000:0000:0000:0000- Type
- Documentation 3fff::/20
For examples (RFC 9637) - Reverse DNS zone
6.c.0.f.f.f.3.ip6.arpa
Split into smaller subnets
3fff:c60::/28 makes 256 subnets of /36.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3fff:c60::/36 | 3fff:c60:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3fff:c60:1000::/36 | 3fff:c60:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3fff:c60:2000::/36 | 3fff:c60:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3fff:c60:3000::/36 | 3fff:c60:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3fff:c60:4000::/36 | 3fff:c60:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3fff:c60:5000::/36 | 3fff:c60:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3fff:c60:6000::/36 | 3fff:c60:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3fff:c60:7000::/36 | 3fff:c60:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3fff:c60:8000::/36 | 3fff:c60:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3fff:c60:9000::/36 | 3fff:c60:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | 3fff:c60:a000::/36 | 3fff:c60:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | 3fff:c60:b000::/36 | 3fff:c60:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | 3fff:c60:c000::/36 | 3fff:c60:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | 3fff:c60:d000::/36 | 3fff:c60:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | 3fff:c60:e000::/36 | 3fff:c60:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | 3fff:c60:f000::/36 | 3fff:c60:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3fff:c61::/36 | 3fff:c61:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3fff:c61:1000::/36 | 3fff:c61:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3fff:c61:2000::/36 | 3fff:c61:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3fff:c61:3000::/36 | 3fff:c61:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3fff:c61:4000::/36 | 3fff:c61:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3fff:c61:5000::/36 | 3fff:c61:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3fff:c61:6000::/36 | 3fff:c61:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3fff:c61:7000::/36 | 3fff:c61:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3fff:c61:8000::/36 | 3fff:c61:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3fff:c61:9000::/36 | 3fff:c61:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | 3fff:c61:a000::/36 | 3fff:c61:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | 3fff:c61:b000::/36 | 3fff:c61:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | 3fff:c61:c000::/36 | 3fff:c61:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | 3fff:c61:d000::/36 | 3fff:c61:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | 3fff:c61:e000::/36 | 3fff:c61:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | 3fff:c61:f000::/36 | 3fff:c61:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3fff:c62::/36 | 3fff:c62:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3fff:c62:1000::/36 | 3fff:c62:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3fff:c62:2000::/36 | 3fff:c62:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3fff:c62:3000::/36 | 3fff:c62:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3fff:c62:4000::/36 | 3fff:c62:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3fff:c62:5000::/36 | 3fff:c62:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3fff:c62:6000::/36 | 3fff:c62:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3fff:c62:7000::/36 | 3fff:c62:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3fff:c62:8000::/36 | 3fff:c62:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3fff:c62:9000::/36 | 3fff:c62:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | 3fff:c62:a000::/36 | 3fff:c62:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | 3fff:c62:b000::/36 | 3fff:c62:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | 3fff:c62:c000::/36 | 3fff:c62:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | 3fff:c62:d000::/36 | 3fff:c62:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | 3fff:c62:e000::/36 | 3fff:c62:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | 3fff:c62:f000::/36 | 3fff:c62:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3fff:c63::/36 | 3fff:c63:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3fff:c63:1000::/36 | 3fff:c63:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3fff:c63:2000::/36 | 3fff:c63:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3fff:c63:3000::/36 | 3fff:c63:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3fff:c63:4000::/36 | 3fff:c63:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3fff:c63:5000::/36 | 3fff:c63:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3fff:c63:6000::/36 | 3fff:c63:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3fff:c63:7000::/36 | 3fff:c63:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3fff:c63:8000::/36 | 3fff:c63:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3fff:c63:9000::/36 | 3fff:c63:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | 3fff:c63:a000::/36 | 3fff:c63:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | 3fff:c63:b000::/36 | 3fff:c63:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | 3fff:c63:c000::/36 | 3fff:c63:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | 3fff:c63:d000::/36 | 3fff:c63:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | 3fff:c63:e000::/36 | 3fff:c63:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | 3fff:c63:f000::/36 | 3fff:c63:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3fff:c64::/36 | 3fff:c64:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3fff:c64:1000::/36 | 3fff:c64:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3fff:c64:2000::/36 | 3fff:c64:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3fff:c64:3000::/36 | 3fff:c64:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3fff:c64:4000::/36 | 3fff:c64:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3fff:c64:5000::/36 | 3fff:c64:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3fff:c64:6000::/36 | 3fff:c64:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3fff:c64:7000::/36 | 3fff:c64:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3fff:c64:8000::/36 | 3fff:c64:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3fff:c64:9000::/36 | 3fff:c64:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | 3fff:c64:a000::/36 | 3fff:c64:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | 3fff:c64:b000::/36 | 3fff:c64:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | 3fff:c64:c000::/36 | 3fff:c64:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | 3fff:c64:d000::/36 | 3fff:c64:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | 3fff:c64:e000::/36 | 3fff:c64:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | 3fff:c64:f000::/36 | 3fff:c64:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3fff:c65::/36 | 3fff:c65:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3fff:c65:1000::/36 | 3fff:c65:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3fff:c65:2000::/36 | 3fff:c65:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3fff:c65:3000::/36 | 3fff:c65:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3fff:c65:4000::/36 | 3fff:c65:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3fff:c65:5000::/36 | 3fff:c65:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3fff:c65:6000::/36 | 3fff:c65:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3fff:c65:7000::/36 | 3fff:c65:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3fff:c65:8000::/36 | 3fff:c65:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3fff:c65:9000::/36 | 3fff:c65:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | 3fff:c65:a000::/36 | 3fff:c65:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | 3fff:c65:b000::/36 | 3fff:c65:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | 3fff:c65:c000::/36 | 3fff:c65:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | 3fff:c65:d000::/36 | 3fff:c65:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | 3fff:c65:e000::/36 | 3fff:c65:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | 3fff:c65:f000::/36 | 3fff:c65:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3fff:c66::/36 | 3fff:c66:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3fff:c66:1000::/36 | 3fff:c66:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3fff:c66:2000::/36 | 3fff:c66:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3fff:c66:3000::/36 | 3fff:c66:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3fff:c66:4000::/36 | 3fff:c66:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3fff:c66:5000::/36 | 3fff:c66:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3fff:c66:6000::/36 | 3fff:c66:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3fff:c66:7000::/36 | 3fff:c66:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3fff:c66:8000::/36 | 3fff:c66:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3fff:c66:9000::/36 | 3fff:c66:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | 3fff:c66:a000::/36 | 3fff:c66:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | 3fff:c66:b000::/36 | 3fff:c66:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | 3fff:c66:c000::/36 | 3fff:c66:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | 3fff:c66:d000::/36 | 3fff:c66:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | 3fff:c66:e000::/36 | 3fff:c66:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | 3fff:c66:f000::/36 | 3fff:c66:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3fff:c67::/36 | 3fff:c67:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3fff:c67:1000::/36 | 3fff:c67:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3fff:c67:2000::/36 | 3fff:c67:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3fff:c67:3000::/36 | 3fff:c67:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3fff:c67:4000::/36 | 3fff:c67:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3fff:c67:5000::/36 | 3fff:c67:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3fff:c67:6000::/36 | 3fff:c67:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3fff:c67:7000::/36 | 3fff:c67:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3fff:c67:8000::/36 | 3fff:c67:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3fff:c67:9000::/36 | 3fff:c67:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | 3fff:c67:a000::/36 | 3fff:c67:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | 3fff:c67:b000::/36 | 3fff:c67:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | 3fff:c67:c000::/36 | 3fff:c67:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | 3fff:c67:d000::/36 | 3fff:c67:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | 3fff:c67:e000::/36 | 3fff:c67:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | 3fff:c67:f000::/36 | 3fff:c67:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3fff:c68::/36 | 3fff:c68:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3fff:c68:1000::/36 | 3fff:c68:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3fff:c68:2000::/36 | 3fff:c68:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3fff:c68:3000::/36 | 3fff:c68:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3fff:c68:4000::/36 | 3fff:c68:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3fff:c68:5000::/36 | 3fff:c68:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3fff:c68:6000::/36 | 3fff:c68:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3fff:c68:7000::/36 | 3fff:c68:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3fff:c68:8000::/36 | 3fff:c68:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3fff:c68:9000::/36 | 3fff:c68:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | 3fff:c68:a000::/36 | 3fff:c68:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | 3fff:c68:b000::/36 | 3fff:c68:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | 3fff:c68:c000::/36 | 3fff:c68:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | 3fff:c68:d000::/36 | 3fff:c68:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | 3fff:c68:e000::/36 | 3fff:c68:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | 3fff:c68:f000::/36 | 3fff:c68:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3fff:c69::/36 | 3fff:c69:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3fff:c69:1000::/36 | 3fff:c69:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3fff:c69:2000::/36 | 3fff:c69:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3fff:c69:3000::/36 | 3fff:c69:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3fff:c69:4000::/36 | 3fff:c69:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3fff:c69:5000::/36 | 3fff:c69:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3fff:c69:6000::/36 | 3fff:c69:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3fff:c69:7000::/36 | 3fff:c69:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3fff:c69:8000::/36 | 3fff:c69:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3fff:c69:9000::/36 | 3fff:c69:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | 3fff:c69:a000::/36 | 3fff:c69:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | 3fff:c69:b000::/36 | 3fff:c69:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | 3fff:c69:c000::/36 | 3fff:c69:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | 3fff:c69:d000::/36 | 3fff:c69:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | 3fff:c69:e000::/36 | 3fff:c69:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | 3fff:c69:f000::/36 | 3fff:c69:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3fff:c6a::/36 | 3fff:c6a:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | 3fff:c6a:1000::/36 | 3fff:c6a:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | 3fff:c6a:2000::/36 | 3fff:c6a:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | 3fff:c6a:3000::/36 | 3fff:c6a:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | 3fff:c6a:4000::/36 | 3fff:c6a:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | 3fff:c6a:5000::/36 | 3fff:c6a:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | 3fff:c6a:6000::/36 | 3fff:c6a:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | 3fff:c6a:7000::/36 | 3fff:c6a:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | 3fff:c6a:8000::/36 | 3fff:c6a:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | 3fff:c6a:9000::/36 | 3fff:c6a:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | 3fff:c6a:a000::/36 | 3fff:c6a:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | 3fff:c6a:b000::/36 | 3fff:c6a:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | 3fff:c6a:c000::/36 | 3fff:c6a:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | 3fff:c6a:d000::/36 | 3fff:c6a:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | 3fff:c6a:e000::/36 | 3fff:c6a:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | 3fff:c6a:f000::/36 | 3fff:c6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3fff:c6b::/36 | 3fff:c6b:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | 3fff:c6b:1000::/36 | 3fff:c6b:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | 3fff:c6b:2000::/36 | 3fff:c6b:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | 3fff:c6b:3000::/36 | 3fff:c6b:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | 3fff:c6b:4000::/36 | 3fff:c6b:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | 3fff:c6b:5000::/36 | 3fff:c6b:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | 3fff:c6b:6000::/36 | 3fff:c6b:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | 3fff:c6b:7000::/36 | 3fff:c6b:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | 3fff:c6b:8000::/36 | 3fff:c6b:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | 3fff:c6b:9000::/36 | 3fff:c6b:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | 3fff:c6b:a000::/36 | 3fff:c6b:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | 3fff:c6b:b000::/36 | 3fff:c6b:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | 3fff:c6b:c000::/36 | 3fff:c6b:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | 3fff:c6b:d000::/36 | 3fff:c6b:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | 3fff:c6b:e000::/36 | 3fff:c6b:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | 3fff:c6b:f000::/36 | 3fff:c6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3fff:c6c::/36 | 3fff:c6c:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | 3fff:c6c:1000::/36 | 3fff:c6c:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | 3fff:c6c:2000::/36 | 3fff:c6c:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | 3fff:c6c:3000::/36 | 3fff:c6c:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | 3fff:c6c:4000::/36 | 3fff:c6c:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | 3fff:c6c:5000::/36 | 3fff:c6c:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | 3fff:c6c:6000::/36 | 3fff:c6c:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | 3fff:c6c:7000::/36 | 3fff:c6c:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | 3fff:c6c:8000::/36 | 3fff:c6c:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | 3fff:c6c:9000::/36 | 3fff:c6c:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | 3fff:c6c:a000::/36 | 3fff:c6c:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | 3fff:c6c:b000::/36 | 3fff:c6c:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | 3fff:c6c:c000::/36 | 3fff:c6c:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | 3fff:c6c:d000::/36 | 3fff:c6c:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | 3fff:c6c:e000::/36 | 3fff:c6c:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | 3fff:c6c:f000::/36 | 3fff:c6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3fff:c6d::/36 | 3fff:c6d:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | 3fff:c6d:1000::/36 | 3fff:c6d:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | 3fff:c6d:2000::/36 | 3fff:c6d:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | 3fff:c6d:3000::/36 | 3fff:c6d:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | 3fff:c6d:4000::/36 | 3fff:c6d:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | 3fff:c6d:5000::/36 | 3fff:c6d:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | 3fff:c6d:6000::/36 | 3fff:c6d:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | 3fff:c6d:7000::/36 | 3fff:c6d:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | 3fff:c6d:8000::/36 | 3fff:c6d:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | 3fff:c6d:9000::/36 | 3fff:c6d:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | 3fff:c6d:a000::/36 | 3fff:c6d:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | 3fff:c6d:b000::/36 | 3fff:c6d:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | 3fff:c6d:c000::/36 | 3fff:c6d:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | 3fff:c6d:d000::/36 | 3fff:c6d:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | 3fff:c6d:e000::/36 | 3fff:c6d:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | 3fff:c6d:f000::/36 | 3fff:c6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3fff:c6e::/36 | 3fff:c6e:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | 3fff:c6e:1000::/36 | 3fff:c6e:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | 3fff:c6e:2000::/36 | 3fff:c6e:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | 3fff:c6e:3000::/36 | 3fff:c6e:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | 3fff:c6e:4000::/36 | 3fff:c6e:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | 3fff:c6e:5000::/36 | 3fff:c6e:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | 3fff:c6e:6000::/36 | 3fff:c6e:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | 3fff:c6e:7000::/36 | 3fff:c6e:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | 3fff:c6e:8000::/36 | 3fff:c6e:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | 3fff:c6e:9000::/36 | 3fff:c6e:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | 3fff:c6e:a000::/36 | 3fff:c6e:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | 3fff:c6e:b000::/36 | 3fff:c6e:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | 3fff:c6e:c000::/36 | 3fff:c6e:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | 3fff:c6e:d000::/36 | 3fff:c6e:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | 3fff:c6e:e000::/36 | 3fff:c6e:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | 3fff:c6e:f000::/36 | 3fff:c6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3fff:c6f::/36 | 3fff:c6f:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | 3fff:c6f:1000::/36 | 3fff:c6f:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | 3fff:c6f:2000::/36 | 3fff:c6f:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | 3fff:c6f:3000::/36 | 3fff:c6f:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | 3fff:c6f:4000::/36 | 3fff:c6f:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | 3fff:c6f:5000::/36 | 3fff:c6f:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | 3fff:c6f:6000::/36 | 3fff:c6f:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | 3fff:c6f:7000::/36 | 3fff:c6f:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | 3fff:c6f:8000::/36 | 3fff:c6f:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | 3fff:c6f:9000::/36 | 3fff:c6f:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | 3fff:c6f:a000::/36 | 3fff:c6f:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | 3fff:c6f:b000::/36 | 3fff:c6f:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | 3fff:c6f:c000::/36 | 3fff:c6f:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | 3fff:c6f:d000::/36 | 3fff:c6f:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | 3fff:c6f:e000::/36 | 3fff:c6f:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | 3fff:c6f:f000::/36 | 3fff:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |